List check runs for a deployment
GET
https://api.vercel.com/v2/deployments/{deploymentId}/check-runsList all check runs for a deployment.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.checksV2.listDeploymentCheckRuns({ deploymentId: "<id>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "runs": [ { "blocks": "build-start", "completedAt": "123", "conclusion": "canceled", "conclusionText": "string", "createdAt": "123", "deploymentId": "example_id", "expectationRef": { "invocationAttempt": "123", "invocationId": "example_id", "jobDefinitionId": "example_id", "jobRunAttempt": "123" }, "expectationRevision": "123", "externalId": "example_id", "externalUrl": "https://example.com", "id": "icfg_1234567890", "name": "Example Name", "output": "value", "ownerId": "example_id", "projectId": "example_id", "requires": "build-ready", "startedAt": "123", "status": "completed", "targets": [], "taskSummary": { "failed": "123", "pending": "123", "succeeded": "123", "total": "123" }, "timeout": "123", "updatedAt": "123", "checkId": "example_id", "source": { "externalResourceId": "example_id", "integrationConfigurationId": "example_id", "integrationId": "example_id", "kind": "integration", "resourceId": "example_id" } } ]}AuthorizationbearerToken
Default authentication mechanism